Subject: Re: linux-next: build warning after merge of the arm-soc-fixes tree

From: "Arnd Bergmann" <[email-masked]>
Date: Wed, 21 Feb 2024 16:58:29 +0100

On Wed, Feb 21, 2024, at 15:51, Geert Uytterhoeven wrote:
> On Wed, Feb 21, 2024 at 3:27 PM Rob Herring <[email-masked]> wrote:
>> On Wed, Feb 21, 2024 at 7:00 AM Arnd Bergmann <[email-masked]> wrote:
>> > On Wed, Feb 21, 2024, at 14:53, Rob Herring wrote:
>> > > On Tue, Feb 20, 2024 at 3:28 PM Stephen Rothwell <[email-masked]> wrote:
>> > >> arch/arm/boot/dts/renesas/r8a7793-gose.dtb: Warning (interrupt_map): Failed prerequisite 'interrupt_provider'
>> > >>
>> > >> Introduced/exposed by commit
>> > >>
>> > >>   78b6f8e7379b ("dtc: Enable dtc interrupt_provider check")
>> > >>
>> > >> I guess you missed some :-(
>> > >
>> > > No, Geert separately posted fixes for already.
>> >
>> > I did make the mistake of applying the final patch "dtc:
>> > Enable dtc interrupt_provider check" to the arm/fixes branch
>> > for 6.8 along with the other fixes.
>> >
>> > Clearly that should be separate and only go into mainline
>> > after there are no more regressions, but now I'm unsure
>> > about the other patches -- did you intend the dts fixes
>> > for 6.8 or for the coming merge window?
>>
>> Either is fine with me. My intent was the whole series plus the
>> Renesas fix to be applied together. Anything new that crops up we can
>> fix on top.
>
> If you want me to move commit b4f97d1b5aeb6166 ("ARM: dts: renesas:
> rcar-gen2: Add missing #interrupt-cells to DA9063 nodes") to
> renesas-fixes, please tell me.

Up to you. I have done some merges yesterday but have not started
merging the dt branches, so you can still send an updated v2
if you prefer (or have this patch in both branches). Please
let me know how you decide.

I have now dropped the Makefile.lib patch from the arm/fixes
branch (it was the top patch, so I did not need to rebase)
and plan to apply it on top of the soc/dt branch instead.

     Arnd